MV(1)

NAMN
mv — flytta (byt namn på) filer

SYNOPSIS
mv [FLAGGA]... [-T] KÄLLA DEST
mv [FLAGGA]... KÄLLA... KATALOG
mv [FLAGGA]... -t KATALOG KÄLLA...

BESKRIVNING

Byt namn på KÄLLA till DEST eller flytta KÄLLor till KATALOG.

Obligatoriska argument till långa flaggor är obligatoriska även för de korta.

--backup[=STYR]
    Gör en säkerhetskopia av varje befintlig destinationsfil.

-b  Som --backup men tar inget argument.

--debug
    förklara hur en fil kopieras. Implicerar -v

-f, --force
    Fråga inte innan något skrivs över.

-i, --interactive
    Fråga innan något skrivs över.

-n, --no-clobber
    Skriv inte över existerade filer.

Om du anger mer än en av -i, -f, -n har endast den sista någon effekt.

--no-copy
    kopiera inte om det inte går att byta namn

--strip-trailing-slashes
    Ta bort eventuella avslutande snedstreck från varje KÄLL-argument.

-S, --suffix=ÄNDELSE
    Ersätt den vanliga ändelsen för säkerhetskopior.

-t, --target-directory=KATALOG
    Flytta alla KÄLLargument in i KATALOG.

-T, --no-target-directory
    Behandla DEST som en vanlig fil.

--update[=UPPDATERA]
    bestäm vilka befintliga filer som uppdateras; UPPDATERA={all,none,older(standard)}. Se nedan

-u  detsamma som --update[=older]

-v, --verbose
    Berätta vad som görs.

-Z, --context
    Sätt SELinux-säkerhetskontext på destinationsfilen till standardtypen.

--help
    visa denna hjälp och avsluta

--version
    visa versionsinformation och avsluta

UPPDATERA styr vilka befintliga filer i målet som ersätts. ”all” är standardåtgärden när flaggan --update inte anges, och resulterar i att alla befintliga filer i målet ersätts. ”none” liknar flagga --no-clobber, på så sätt att inga filer i målet ersätts, men också att överhoppade filer inte orsakar ett fel. ”older” är standardåtgärden när --update anges, och medför att filer ersätts om de är äldre än den motsvarande källfilen.

Ändelsen på säkerhetskopior är ”~” om inte annat anges av --suffix eller SIMPLE_BACKUP_SUFFIX. Versionshanteringen kan styras med --backup-flaggan eller med miljövariabeln VERSION_CONTROL. Den kan ha följande värden:

none, off
    Gör aldrig säkerhetskopior (ens om --backup anges).

numbered, t
    Gör numrerade säkerhetskopior.

existing, nil
    Numrerade om det redan finns numrerade, annars enkla.

simple, never
    Gör alltid enkla säkerhetskopior.

UPPHOVSMAN
Skrivet av Mike Parker, David MacKenzie och Jim Meyering.

RAPPORTERA FEL
GNU coreutils hjälp på nätet: <https://www.gnu.org/software/coreutils/>
Rapportera anmärkningar på översättningen till <tp-sv@listor.tp-sv.se>

COPYRIGHT
Copyright © 2023 Free Software Foundation, Inc. Licens GPLv3+: GNU GPL version 3 eller senare <https://gnu.org/licenses/gpl.html>.
Detta är fri programvara: du får fritt ändra och vidaredistribuera den. Det finns INGEN GARANTI, så långt lagen tillåter.

SE ÄVEN
rename(2)

Fullständig dokumentation <https://www.gnu.org/software/coreutils/mv>
eller tillgängligt lokalt via: info '(coreutils) mv invocation'

ÖVERSÄTTNING
Den svenska översättningen av denna manualsida skapades av Göran Uddeborg <goeran@uddeborg.se>

Denna översättning är fri dokumentation; läs GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senare för upphovsrättsvillkor. Vi tar INGET ANSVAR.

Om du hittar fel i översättningen av denna manualsida, skicka ett mail till Tp-sv@listor.tp-sv.se.